#139 tests: add llvm-toolset-14.0 requirements to tests and plans
Merged 5 months ago by sergesanspaille. Opened 5 months ago by jcheca.
rpms/ jcheca/llvm add-llvm-toolset-14.0-reqs  into  rawhide

file modified
+4
@@ -23,6 +23,10 @@ 

      environment+:

        WITH_SCL: "scl enable llvm-toolset-13.0 rust-toolset-1.58"

      when: "collection == llvm-toolset-13.0"

+   - because: "When testing SCL-ized LLVM, the collection must be enabled first"

+     environment+:

+       WITH_SCL: "scl enable llvm-toolset-14.0 rust-toolset-1.62"

+     when: "collection == llvm-toolset-14.0"

  

    # Unfortunatelly, TMT does not support more declarative approach, we need to run commands on our own.

    - because: "On CentOS, CRB must be enabled to provide rarer packages"

@@ -46,6 +46,19 @@ 

        - llvm-toolset-13.0-llvm-devel

        - llvm-toolset-13.0-python3-lit

      when: "collection == llvm-toolset-13.0"

+   - require+:

+       - llvm-toolset-14.0-cmake

+       - llvm-toolset-14.0-clang

+       - llvm-toolset-14.0-clang-analyzer

+       - llvm-toolset-14.0-clang-devel

+       - llvm-toolset-14.0-clang-tools-extra

+       - llvm-toolset-14.0-compiler-rt

+       - llvm-toolset-14.0-lld

+       - llvm-toolset-14.0-lldb

+       - llvm-toolset-14.0-libomp-devel

+       - llvm-toolset-14.0-llvm-devel

+       - llvm-toolset-14.0-python3-lit

+     when: "collection == llvm-toolset-14.0"

  

    # lld and libomp are not supported in s390x, remove them

    - require-:
@@ -54,6 +67,12 @@ 

      when: >-

        collection == llvm-toolset-13.0

        and arch == s390x

+   - require-:

+       - llvm-toolset-14.0-lld

+       - llvm-toolset-14.0-libomp-devel

+     when: >-

+       collection == llvm-toolset-14.0

+       and arch == s390x

  

    # libcxx shall be required in Fedora, it's not shipped with RHEL.

    - require+:

@@ -7,3 +7,7 @@ 

      environment+:

        LIBLLVM_PATH: /opt/rh/llvm-toolset-13.0/root/usr/lib64/libLLVM.so

      when: "collection == llvm-toolset-13.0"

+   - because: "With SCL-ized LLVM, library path is different"

+     environment+:

+       LIBLLVM_PATH: /opt/rh/llvm-toolset-14.0/root/usr/lib64/libLLVM.so

+     when: "collection == llvm-toolset-14.0" 

\ No newline at end of file

@@ -24,3 +24,7 @@ 

        - rust-toolset-1.58-cargo

        - rust-toolset-1.58-rust

      when: "collection == llvm-toolset-13.0"

+   - require+:

+       - rust-toolset-1.62-cargo

+       - rust-toolset-1.62-rust

+     when: "collection == llvm-toolset-14.0" 

\ No newline at end of file

no initial comment

Build succeeded.

Pull-Request has been merged by sergesanspaille

5 months ago